%define anolis_release 2

Name:           mousetweaks
Version:        3.32.0
Release:        %{anolis_release}%{dist}

Summary:        Mouse accessibility support for the GNOME desktop
License:        GPLv3 and GFDL
URL:            https://wiki.gnome.org/Projects/Mousetweaks
Source0:        http://download.gnome.org/sources/mousetweaks/3.32/%{name}-%{version}.tar.xz

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gnome-doc-utils
BuildRequires:  pkgconfig
BuildRequires:  gtk3-devel >= 3.0.0
BuildRequires:  libXcursor-devel
BuildRequires:  libXtst-devel
BuildRequires:  libXfixes-devel
BuildRequires:  gsettings-desktop-schemas-devel

%description
The Mousetweaks package provides mouse accessibility enhancements for
the GNOME desktop, such as performing various clicks without using any
hardware button. The options can be accessed through the Accessibility
tab of the Mouse Preferences of GNOME Control Center or through command-line.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%find_lang mousetweaks --with-gnome

%generate_compatibility_deps

%files -f mousetweaks.lang
%dir %{_datadir}/GConf
%dir %{_datadir}/GConf/gsettings
%dir %{abidir}
%{_datadir}/GConf/gsettings/mousetweaks.convert
%{_datadir}/glib-2.0/schemas/org.gnome.mousetweaks.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.mousetweaks.gschema.xml
%{_bindir}/mousetweaks
%{abidir}/mousetweaks-option.list
%{_datadir}/mousetweaks
%doc %{_mandir}/man1/*

%files doc
%doc COPYING README NEWS

%changelog
* Wed May 21 2025 zhoujiajia111 <zjl02254423@alibaba-inc.com> - 3.32.0-2
- Rebuild for remove inappropriate build dependencies.

* Tue Mar 21 2023 yuanhui <yuanhui@linux.alibaba.com> - 3.32.0-1
- Init package from upstream
